Bug 1590106 - Hpa has incorrect ref apiversion if it is created with app creation
Summary: Hpa has incorrect ref apiversion if it is created with app creation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1590936
TreeView+ depends on / blocked
 
Reported: 2018-06-12 05:33 UTC by Yanping Zhang
Modified: 2018-07-23 13:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1590936 (view as bug list)
Environment:
Last Closed: 2018-06-20 13:26:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yanping Zhang 2018-06-12 05:33:57 UTC
Description of problem:
When create app from image, and set hpa at the same time, on the page "/create/fromimage?", after creation, the hpa has incorrect ref apiversion and could not work normally

Version-Release number of selected component (if applicable):
openshift v3.10.0-0.64.0
kubernetes v1.10.0+b81c8f8


How reproducible:
Always

Steps to Reproduce:
1.Create app from image, and set auto scaling in advanced options
2.Check ref apiversion in hpa.
3.Check event.

Actual results:
2.$ oc get hpa pytest -o yaml |grep scaleTargetRef -A 3
  scaleTargetRef:
    apiVersion: extensions/v1beta1
    kind: DeploymentConfig
    name: pytest
3. Check on the events page, there is warning info:
pytest 	Horizontal Pod Autoscaler 	Warning 	Failed Get Scale  	no matches for kind "DeploymentConfig" in group "extensions"

Expected results:
2.Should have correct ref apiversion


Additional info:

Comment 2 openshift-github-bot 2018-06-13 16:47:03 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/22684c2a29e0e6c84a6c0dd00f69ef2e419b07fe
Bug 1590106 - Fix HPA target resource for new app flow

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1590106

https://github.com/openshift/origin-web-console/commit/0360c0443d760bbcb342d1476f0199761ee6f330
Merge pull request #3024 from spadgett/fix-hpa

Bug 1590106 - Fix HPA target resource for new app flow

Comment 4 Yanping Zhang 2018-06-19 03:23:11 UTC
Checked on OCP v3.10.1. Created hpa with new app flow on web console, the target resource api version is "apps.openshift.io/v1". The bug has been fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.